<?php

namespace Aedes\EveryPay\Helper;

class ResponseProcessor
{
    /**
     * @var \Aedes\EveryPay\Model\Nonce\NonceManagement
     */
    protected $nonce;

    /**
     * @var \Aedes\EveryPay\Model\Token\TokenManagement
     */
    protected $tokenManager;

    /**
     * @var OrderProcessor
     */
    protected $orderProcessor;

    /**
     * @param \Aedes\EveryPay\Model\Nonce\NonceManagement $nonce
     * @param \Aedes\EveryPay\Model\Token\TokenManagement $tokenManager
     * @param OrderProcessor $orderProcessor
     */
    public function __construct(
        \Aedes\EveryPay\Model\Nonce\NonceManagement $nonce,
        \Aedes\EveryPay\Model\Token\TokenManagement $tokenManager,
        OrderProcessor $orderProcessor
    ) {
        $this->nonce = $nonce;
        $this->tokenManager = $tokenManager;
        $this->orderProcessor = $orderProcessor;
    }

    /**
     * @param array $data
     * @return $this
     */
    public function process($data)
    {
        $this->nonce->saveNonce($data['nonce']);
        $this->tokenManager->saveToken($data);
        $this->orderProcessor->process($data);

        return $this;
    }
}