define(
    [
        'jquery',
        'Magento_Checkout/js/model/full-screen-loader'
    ],
    function ($, fullScreenLoader) {
        'use strict';

        function createForm(data) {
            var endpoint = window.checkoutConfig.payment.everypay.endpoint;

            var form = "<form id='everypay-transaction-data-form'  action='" + endpoint + "' method='post'";
            if (window.checkoutConfig.payment.everypay.isIFrame) {
                form += "target='everypay-payment-container'";
            }
            form += ">";

            $.each(data, function(name, value) {
                form += "<input type='text' name='" + name + "' value='" + value + "' hidden />";
            });
            form += "<input type='submit' class='everypay-submit-button' value='Submit' hidden /></form>";

            return form;
        }

        return function (data) {
            $("#everypay-transaction-data-form").remove();
            var form = createForm(data);
            $('body').append(form);
            $(".everypay-submit-button").click();

            fullScreenLoader.stopLoader();
            if (window.checkoutConfig.payment.everypay.isIFrame) {
                $('#everypay-popup').modal('openModal');
            }

            return true;
        };
    }
);
